AbstractRSSReader (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.oned.rss, class: AbstractRSSReader

Package com.google.zxing.oned.rss

# Class AbstractRSSReader

java.lang.Object
com.google.zxing.oned.OneDReader
com.google.zxing.oned.rss.AbstractRSSReader

All Implemented Interfaces:
  `Reader`

Direct Known Subclasses:
  `RSS14Reader`, `RSSExpandedReader`

public abstract class AbstractRSSReader extends OneDReader
Superclass of `OneDReader` implementations that read barcodes in the RSS family of formats.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractRSSReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static int`
  `count(int[] array)`
  Deprecated.
  call `MathUtils.sum(int[])`
  `protected static void`
  `decrement(int[] array, float[] errors)`
  `protected final int[]`
  `getDataCharacterCounters()`
  `protected final int[]`
  `getDecodeFinderCounters()`
  `protected final int[]`
  `getEvenCounts()`
  `protected final float[]`
  `getEvenRoundingErrors()`
  `protected final int[]`
  `getOddCounts()`
  `protected final float[]`
  `getOddRoundingErrors()`
  `protected static void`
  `increment(int[] array, float[] errors)`
  `protected static boolean`
  `isFinderPattern(int[] counters)`
  `protected static int`
  `parseFinderValue(int[] counters, int[][] finderPatterns)`

  ### Methods inherited from class com.google.zxing.oned.OneDReader

  `decode, decode, decodeRow, patternMatchVariance, recordPattern, recordPatternInReverse, reset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractRSSReader

    protected AbstractRSSReader()

- ## Method Details

  - ### getDecodeFinderCounters

    protected final int[] getDecodeFinderCounters()

  - ### getDataCharacterCounters

    protected final int[] getDataCharacterCounters()

  - ### getOddRoundingErrors

    protected final float[] getOddRoundingErrors()

  - ### getEvenRoundingErrors

    protected final float[] getEvenRoundingErrors()

  - ### getOddCounts

    protected final int[] getOddCounts()

  - ### getEvenCounts

    protected final int[] getEvenCounts()

  - ### parseFinderValue

    protected static int parseFinderValue(int[] counters, int[][] finderPatterns) throws NotFoundException
    Throws:
      `NotFoundException`

  - ### count

    @Deprecated protected static int count(int[] array)
    Deprecated.
    call `MathUtils.sum(int[])`
    Parameters:
      `array` - values to sum
    Returns:
      sum of values

  - ### increment

    protected static void increment(int[] array, float[] errors)

  - ### decrement

    protected static void decrement(int[] array, float[] errors)

  - ### isFinderPattern

    protected static boolean isFinderPattern(int[] counters)